Package Base Details: joplin

Git Clone URL: https://aur.archlinux.org/joplin.git (read-only, click to copy)
Keywords: markdown note notetaking productivity
Submitter: masterkorp
Maintainer: masterkorp
Last Packager: masterkorp
Votes: 182
Popularity: 9.09
First Submitted: 2018-04-18 16:33
Last Updated: 2021-04-20 21:21

Packages (2)

Pinned Comments

masterkorp commented on 2020-12-24 19:58

Hello everyone,

I will be renaming the packages to its final form.

  • joplin will contain the CLI application
  • joplin-desktop will contain the Desktop version

Also, please for problems with the package, please open an issue on the Github repo, its really hard to provide support on the comments section, you can also email me.

If you have problems with the check() function, just run makepkg with the --nocheck flag.

Thank you for your patience. Regards, Alfredo Palhares

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

Eothred commented on 2021-03-24 08:49

For dependencies, I think you should define that at least version 12 is required for nodejs. I had nodejs-lts-dubnium installed, which made the terminal app crash on some functions.

Alukard commented on 2021-03-23 08:59

@joshsteele21 @masterkorp same issue with me, couldn't install using yay -S package_name. getting the same lerna error on every run.

but weirdly it get installed without any error on running makepkg -si in joplin directory in cache of yay.

joshsteele21 commented on 2021-03-11 18:59

@masterkorp

I tried it probable 20+ times over the last 3 days. I tried deactivating my host file and I'm able to download the mentioned file manually.

lerna ERR! npm install --cache /var/tmp/pamac-build-***/joplin/src/npm-cache exited 1 in '@joplin/fork-sax'
lerna ERR! npm install --cache /var/tmp/pamac-build-***/joplin/src/npm-cache stderr:
npm ERR! code ERR_SOCKET_TIMEOUT
npm ERR! errno ERR_SOCKET_TIMEOUT
npm ERR! request to https://registry.npmjs.org/resolve-from/-/resolve-from-1.0.1.tgz failed, reason: Socket timeout

This is the error with turndown

lerna ERR! npm install --cache /var/tmp/pamac-build-***/joplin/src/npm-cache exited 1 in '@joplin/turndown'
lerna ERR! npm install --cache /var/tmp/pamac-build-***/joplin/src/npm-cache stderr:
npm ERR! code ERR_SOCKET_TIMEOUT
npm ERR! errno ERR_SOCKET_TIMEOUT
npm ERR! request to https://registry.npmjs.org/jsx-ast-utils/-/jsx-ast-utils-1.4.1.tgz failed, reason: Socket timeout

The build process always aborts at fork-sax or turndown

Is it possible that it is a problem with the npm installation/config?

masterkorp commented on 2021-03-10 10:17

@joshsteele21

That is a network error from NPN, I have no control over that. What happens if you retry ?

joshsteele21 commented on 2021-03-09 18:33

Keep getting errors during installation:

lerna ERR! npm install --cache /home/***/.cache/yay/joplin/src/npm-cache exited 1 in '@joplin/fork-sax'
lerna ERR! npm install --cache /home/***/.cache/yay/joplin/src/npm-cache stderr:
npm ERR! code ERR_SOCKET_TIMEOUT

or sometimes a similar error with @joplin/turndown (I cannot reproduce it at the moment, therefore I cannot paste the exact error message. But I saw that error more than once during my attempts.)

I tried installing it with yay and the Manjaro GUI. The installation works, when I install it with the Joplin install script (wget -O - https://raw.githubusercontent.com/laurent22/joplin/dev/Joplin_install_and_update.sh | bash).

djipey commented on 2021-03-05 18:18

As mentioned before, at least libgsf is missing. Manually installing this dependency solved the problem for me.

floppy5.25 commented on 2021-03-04 21:16

It will not build for me unless I install python2. Filed bug on github

masterkorp commented on 2021-02-23 10:29

@pur2evil,

In that case you can just edit the packagebuild and remove these 2

pur2evil commented on 2021-02-22 18:36

@masterkorp I was trying to install it with 'yay -S joplin' and failed.
Do note that I had not installed joplin-desktop before it.
Maybe joplin need those dependencies too?

masterkorp commented on 2021-02-22 11:09

@pur2evil ?

There are many cli clients? Do you mean makepkg ?